blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
6de512e59d96cc9e6188ee6769fab6a5f0e4636a | Shell | span999/build-scripts | /google/emulater/android-run.sh | UTF-8 | 1,196 | 3.09375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
#
#
# http://dl.google.com/android/android-sdk_r22.0.5-linux.tgz
#
ROT_PATH=`pwd`
BIN_PATH=~/workshop/bin/android-sdk
IMG_PATH=${ROT_PATH}/out
TOOLS_PATH=`find ${BIN_PATH}/ -name \tools -type d -not -path *com* -not -path *docs*`
EMULATOR=`find ${BIN_PATH}/ -name \emulator -executable -type f -path *bin*`
... | true |
7fb99d28b1bd3c86aface94df76c3a3b067ef8a9 | Shell | couchbase/build-infra | /terraform/gerrit/files/scripts/gerrit-backup | UTF-8 | 3,456 | 3.8125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash -ex
tag=$(date +%Y%m%d)
function error() {
echo "$@"
exit 1
}
if [[ -z "${REGION}" || -z "${VOLUME_ID}" ]]
then
error "REGION and VOLUME_ID must be present in the environment"
fi
# If an existing volume is present, we want to fail up front
echo "Checking to ensure no backup volume is present"
... | true |
ff7b6bd4a1e03b8179c03840baeb9bb57e6dd734 | Shell | CamilaGalvan/ISU | /tercera_entrega/Giuliana/SO/Shells/bajaGrupo.sh | UTF-8 | 771 | 3.296875 | 3 | [] | no_license | #!/bin/bash
DnGroupp=0
while [ $DnGroupp -eq 0 ]
do
clear
tput cup 3 3; echo "Grupo o GID a dar de baja"
tput cup 4 3; read GIDD
busqueda=$(cut -d: -f1 /etc/group |grep "$GIDD")
if [ -z $busqueda ]
then
busqueda=$(cut -d: -f3 /etc/group | grep -n "$GIDD" | cut -d: -f1)
if [ -z $busqueda ]
then
tput cup... | true |
19d065e9809e8108dbf2fd8c9a264711e60fe9cb | Shell | learningclouddex/devops | /Scripting/loopcontrol.sh | UTF-8 | 469 | 3.328125 | 3 | [] | no_license | #!/bin/bash
# Example1
i=0
while [[ $i -lt 5 ]]
do
echo "Number: $i"
((i++))
if [[ $i -eq 2 ]]; then
break
fi
done
echo 'All Done!'
# Example2
for i in {1..3}; do
for j in {1..3}; do
if [[ $j -eq 2 ]]; then
break
fi
echo "j: $j"
done
echo "i: $i"
done
echo 'All Done!'
## Con... | true |
5eaed328fbdd087cb075234f382d0e5c52d1c757 | Shell | mepowerleo10/dotfiles | /.bin/select_window.sh | UTF-8 | 4,671 | 2.984375 | 3 | [] | no_license | #! /bin/bash
# -*- mode: sh -*-
KEY=$RANDOM
res1=$(mktemp --tmpdir term-tab1.XXXXXXXX)
res2=$(mktemp --tmpdir term-tab2.XXXXXXXX)
res3=$(mktemp --tmpdir term-tab3.XXXXXXXX)
out=$(mktemp --tmpdir term-out.XXXXXXXX)
# cleanup
trap "rm -f $res1 $res2 $res3 $out" EXIT
export YAD_OPTIONS="--bool-fmt=t --se... | true |
2ced3d14b879aed674226c65e7c748c4ef5af18e | Shell | p3430233/gaffer-docker | /cd/publish_images.sh | UTF-8 | 2,222 | 3.65625 | 4 | [
"Apache-2.0",
"LicenseRef-scancode-proprietary-license"
] | permissive | #!/bin/bash
# Copyright 2020 Crown Copyright
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agree... | true |
3aaa24e71548b80796dabbc932f412f9a84c1963 | Shell | DSC-SPIDAL/harpgbdt | /run/16.Final-Sync/yfccdense/standard-block-yfccdense-sync.sh | UTF-8 | 2,433 | 2.515625 | 3 | [] | no_license | #!/bin/bash
export _gbtproject_=`pwd`
export LD_LIBRARY_PATH=/opt/Anaconda3-5.0.1/lib
bin=../bin/xgboost-g++-omp-dense-halftrick-short-splitonnode-fitmem-release
hist=../bin/xgb-latest
tagname=`basename $bin`
echo "run speedup test with tagname=$tagname"
if [ ! -f $bin ]; then
echo "Usage: run-speedup.sh <bin>... | true |
b721f0b338a3b6eff823392ffd7bbf091e87f021 | Shell | jkarsrud/dotfiles | /.bash_profile | UTF-8 | 314 | 2.921875 | 3 | [] | no_license | # Load ~/.bash_prompt, ~/.exports, ~/.aliases, ~/.functions
for file in ~/.{bash_prompt,exports,aliases,functions,git-completion}; do
[ -r "$file" ] && source "$file"
done
unset file
# Case-insensitive globbing (used in pathname expansion)
shopt -s nocaseglob
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
| true |
a7a764cbe2319c999252b68f02a42698de0e13b0 | Shell | ravitomar2010/hello-world | /a2i-devops/stage/terraform/resources/nifi/prepare_final_yaml.sh | UTF-8 | 693 | 3.078125 | 3 | [] | no_license | #!/bin/sh
filename='./nifi/node_list.txt'
cat ./nifi.yaml > tmp_nifi.yaml
node_count=1
while read line; do
sed "s/dns_name_of_server_nifi_$node_count/dns_name_of_server/g" tmp_nifi.yaml > tmp_nifi1.yaml
sed "s/service_name_nifi_$node_count/service_name/g" tmp_nifi1.yaml > tmp_nifi2.yaml
sed "s/hostname_nifi_$no... | true |
80a3c2155210192fb5bda9de53ed0bf9ae0a3b5a | Shell | DeprecatedCode/nate-profile | /index.sh | UTF-8 | 1,022 | 2.65625 | 3 | [] | no_license | # Nate Ferrero
# nateferrero.com
# This Document
alias n='cd ~/nate-profile && clear && git status'
alias pr='nano ~/nate-profile/index.sh'
alias ra='source ~/nate-profile/index.sh'
# Nginx
alias nns='sudo /etc/init.d/nginx start'
alias nnp='sudo /etc/init.d/nginx stop'
alias nnr='sudo /etc/init.d/nginx reload'
# Gi... | true |
b073fce057b4ec8b85fcc0fc188ba68616dc7e56 | Shell | sohalartz/feralfilehosting | /Feral Wiki/HTTP/Redirecting HTTP to HTTPS/scripts/nginxhttps.sh | UTF-8 | 4,627 | 3.953125 | 4 | [
"CC-BY-4.0"
] | permissive | #!/bin/bash
# nginx force https on Dual URL
scriptversion="1.0.2"
scriptname="nginxhttps"
#
# wget -qO ~/nginxhttps.sh http://git.io/A34SpA && bash ~/nginxhttps.sh
#
############################
## Version History Starts ##
############################
#
# v1.0.2 template updated
#
############################
### Vers... | true |
adba549ebce4b018267a0654f3a3cff25223c9c2 | Shell | Phillip-a-richmond/AnnotateVariants | /Cloud/PullTrioCallVariants.sh | UTF-8 | 6,852 | 3.171875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#SBATCH --mail-user=prichmond@bcchr.ca
#SBATCH --mail-type=ALL
## CPU Usage
#SBATCH --nodes=1
#SBATCH --cpus-per-task=8
## Output and Stderr
#SBATCH --output=%x-%j.out
#SBATCH --error=%x-%j.error
##########
# Set up #
##########
# open up scratch
sudo chmod ugo=rwx -R /scratch/
##########
# Part 1 #... | true |
3e7e51e6791c70a8514907c368502257493821cf | Shell | amennen/rtAttenPenn_analysis | /qsub_fmriprep.sh | UTF-8 | 850 | 2.765625 | 3 | [] | no_license | #!/bin/bash
# Run within BIDS code/ directory:
# sbatch slurm_mriqc.sh
# Set current working directory
#$ -wd '/data/jux/cnds/amennen/rtAttenPenn/fmridata/Nifti/derivatives/logs/'
# #$ -cwd
#$ -t 12
#$ -j y
#$ -m ea
#$ -M anne.mennen@pennmedicine.upenn.edu
#$ -N fmriprep
#$ -w e
#$ -binding linear:4
#$ -pe unihost 4
... | true |
cca12fbbf805cc94795d832a9c75e4c6b9a95964 | Shell | mikenowak/docker-nrpe | /check_time_skew | UTF-8 | 1,848 | 4.5625 | 5 | [] | no_license | #!/bin/sh
# Check for clock skew on hosts not running ntpd
# v1.0 (C) 2008 Stuart Teasdale <Stuart.Teasdale@opsview.com>
program=/usr/sbin/ntpdate
program_opts="-q pool.ntp.org"
warntime=1
crittime=2
# helper functions
. /usr/lib/nagios/plugins/utils.sh
usage()
{
cat <<EOF
Usage: `basename $0` [-w <seconds>... | true |
05a368c412f9fd9e836d1437cae13794b9aaf3db | Shell | daniel-vera-g/dotfiles | /linux/shell/scripts/backup/uni/backup-uni-docs.sh | UTF-8 | 1,288 | 3.640625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
currDate=$(date +"%Y-%m-%d")
toBackupPath="/home/dvg/workspace/edu/uni"
backupPath="/home/dvg/sync/notebook/projects/education/uni/repo-backup"
backupCount=$(ls ~/sync/notebook/projects/education/uni/repo-backup/ | wc -l)
# Create destination directory
echo "-----------------------------------------------... | true |
9f493f1a042217df6ee9b28d376eadeb86c41002 | Shell | mclaugsf/nps | /nps_check.sh | UTF-8 | 17,192 | 3.328125 | 3 | [] | no_license | #! /bin/bash
if [ $# -lt 2 ]; then
echo "Usage: nps_check.sh nps_command ..."
echo "nps_command:"
echo " stdgt traindir traintag"
echo " init workdir"
echo " last workdir winshift1 winshift2 ..."
echo " score workdir valdir valtag winshift1 winshift2 ..."
echo ""
echo "Not... | true |
5aa334881dbbf545160b95a0d1805d217b033e99 | Shell | Nycto/ExtraNimble | /travis-setup.sh | UTF-8 | 869 | 3.65625 | 4 | [] | no_license | #!/bin/bash
set -e
set -o pipefail
set -o xtrace
export NIM_ROOT=$HOME/Nim
compile() {
./bin/nim c koch
./koch boot -d:release
./koch nimble
}
# If Nim and nimble are still cached from the last time
if [ -x "$NIM_ROOT/bin/nim" ]; then
# Check if the Nim cache is older than 7 days
if ! find "$NI... | true |
af027ab75366e9590d4ec7bc71cbfd395d463fa8 | Shell | davidshue/vbc-cloud | /node/run.sh | UTF-8 | 538 | 3.078125 | 3 | [] | no_license | #!/bin/bash
CONFIG_HOST=${CONFIG_HOST:=vbc-config}
CONFIG_PORT=${CONFIG_PORT:=8888}
JAVA_OPTS=${JAVA_OPTS:-"-server -Xms64m -Xmx128m -XX:+UseParallelOldGC"}
a=0;
while ! nc -z ${CONFIG_HOST} ${CONFIG_PORT};
do
a=$(($a+1));
if [ "$a" -gt 20 ]
then
echo startup failed!
... | true |
738b4d8a279a78522a3df021663ac32ba76a417f | Shell | zhangheting407051/scripts | /dailybuild/DailyBuild_A158.sh | GB18030 | 4,147 | 3.3125 | 3 | [] | no_license | #!/bin/bash
############################### û趨 ʼ ############################################
DailyBuildDir=/home1/zhangheting/DailyBuildSW1
CodeDir=$DailyBuildDir/Code
DAILYBUILDLOG=$DailyBuildDir/DailyBuild_A158.log
VersionDIR=$DailyBuildDir/Version
Date=$(date +%y%m%d)
############################### û趨 ####... | true |
f5b5353e27d1aba910fad4c9b01c59fecd6daa41 | Shell | hmcts/cnp-aks-rbac | /create-ad-app.sh | UTF-8 | 3,220 | 3.46875 | 3 | [] | no_license | #!/bin/bash
BASE_NAME="${1}"
SERVER_APP_NAME="${BASE_NAME}-server"
CLIENT_APP_NAME="${BASE_NAME}-client"
function usage() {
echo "usage: ./create-ad-app.sh <app-name>"
}
if [ -z "${BASE_NAME}" ] ; then
usage
exit 1
fi
SERVER_APP_PASSWORD=$(openssl rand -base64 32 | grep -o '[[:alnum:]]' | tr -d '\n')
expo... | true |
954ceaae82beaf6a920a458359b39053a408cac3 | Shell | altnight/individual-sandbox | /diary/gen.sh | UTF-8 | 116 | 2.765625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
name=`date +%Y%m%d`
test -d ${name} || mkdir -p ${name}
cd ${name}
test -f README.md || touch README.md
| true |
fdfa72df64fee3c0af51fea0b3108db09c0cb425 | Shell | 821-N/holberton-system_engineering-devops | /0x04-loops_conditions_and_parsing/7-clock | UTF-8 | 207 | 3.375 | 3 | [] | no_license | #!/usr/bin/env bash
# prints hours and minutes
hour=0
while [ $hour -le 12 ]
do
echo "Hour: $hour"
minute=1
while [ $minute -lt 60 ]
do
echo $minute
minute=$((minute+1))
done
hour=$((hour+1))
done
| true |
bcd180bbe01369e77346f7ea08176432c2426865 | Shell | grzebiel/dotfiles | /misc/install | UTF-8 | 869 | 3.015625 | 3 | [] | no_license | #!/bin/bash
# install usb notifications
sudo cp 99-usb.rules /etc/udev/rules.d/
sudo cp usbup /usr/local/bin
# set user to modify backlight HEL
if [ $HOSTNAME == "hel" ] || [ $HOSTNAME == "frigg" ]
then
#groupadd backlight
sudo usermod -aG video grzebiel
#enable battery notifications
systemctl --user... | true |
46f0e0ffc4ece946732d7ca9f3f07bea8dfc38cd | Shell | djdagovs/autosshvpn | /file/vpnfix.sh | UTF-8 | 1,397 | 3.046875 | 3 | [] | no_license | #!/bin/bash
if [[ `ifconfig -a | grep "venet0"` ]]
then
cekvirt='OpenVZ'
elif [[ `ifconfig -a | grep "venet0:0"` ]]
then
cekvirt='OpenVZ'
elif [[ `ifconfig -a | grep "venet0:0-00"` ]]
then
cekvirt='OpenVZ'
elif [[ `ifconfig -a | grep "venet0-00"` ]]
then
cekvirt='OpenVZ'
elif [[ `ifconfig -a | grep "eth0"` ]]
then
cekv... | true |
b611a923d97c928243ae111134fc34ad383caa9b | Shell | amannocci/logbulk | /core/build/build-docker-image.sh | UTF-8 | 595 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Correct path
cd "$(dirname "$0")"
BASE_DIR=$PWD
BASE_PROJECT=$(dirname "$BASE_DIR")
# Load common
source ${BASE_DIR}/common.sh
info "Loading common"
# Check needed
if [ "$(is_install mvn)" == "1" ]
then
error "Please install maven to continue"
exit 1
fi
if [ "$(is_install docker)" == "1" ]
then
e... | true |
eb295e0d38c5476aa9717a8c1585af604da283ba | Shell | khankawais/Prometheus-Installation-Scripts | /install_mysql_exporter.sh | UTF-8 | 3,118 | 3.46875 | 3 | [] | no_license | #!/bin/bash
################################################################################
# Author : Awais Khan #
# Use this script as a root user. #
# This script is used to create a MySQL exporter service for pro... | true |
16885add627edf15236d5baf738313b00fb74123 | Shell | s20024/app-stdlog | /stdlog.sh | UTF-8 | 1,996 | 3.75 | 4 | [] | no_license | #!/bin/sh
# 今いるディレクトリパスの取得
path=`pwd`
# アプリケーションの説明の表示
eog 1.png
# Windowsで実行した場合のエラー処理
if [ $? -ne 0 ]
then
echo "Ubuntu以外で実行されました。"
echo "今いるディレクトリ内にある画像ファイル(1~5)までを読んで以下に進んでください"
# 上のやつを読む時間を待つための処理
sleep 20
fi
# 実行していいかの判断
read -p "実行してよろしいですか? yes(y)/no(n):" judge
if [ "$judg... | true |
3bf4270f4c60dac819effc5ad081159bf69c801c | Shell | latifkabir/n3He_Soft | /Watchdog/bin/transferFile.sh | UTF-8 | 537 | 3.171875 | 3 | [] | no_license | #!/bin/bash
RUN=$1
LAST=$2
while [ $RUN -ne $LAST ]
do
if [ -f /home/daq/DATA/run-${RUN}data-21 ] && [ -f /home/daq/DATA/run-${RUN}data-22 ] && [ -f /home/daq/DATA/run-${RUN}data-23 ] && [ -f /home/daq/DATA/run-${RUN}data-24 ] && [ -f /home/daq/DATA/run-${RUN}data-30 ]
then
scp -p /home/daq/DATA/run-${RUN}dat... | true |
eb7ed881263b53c2573f2e2d6c0cfcdaa6eb5670 | Shell | wildgarden/nvml-docker | /check-images.sh | UTF-8 | 571 | 3.421875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
[[ $TRAVIS_REPO_SLUG == "wojtuss/nvml-docker" && $TRAVIS_BRANCH == "master" ]] || exit 0
commitRange=$([[ -n "$TRAVIS_COMMIT_RANGE" ]] && echo ${TRAVIS_COMMIT_RANGE/\.+/ } || echo $TRAVIS_COMMIT)
files=$(git diff-tree --no-commit-id --name-only -r $commitRange)
base_dir=testdir
for file in $files; do
... | true |
2d7bf76ac5fe7e65c4fa5ceb7f5eebdffc241cc0 | Shell | cloudfoundry-incubator/kubo-ci | /scripts/lib/semver.sh | UTF-8 | 758 | 3.953125 | 4 | [] | no_license | #!/bin/bash
SEMVER_REGEX="^(0|[1-9][0-9]*)\.(0|[1-9][0-9]*)(\.(0|[1-9][0-9]*))?$"
semver_arr() {
version=$1
if [[ "$version" =~ $SEMVER_REGEX ]]; then
local major=${BASH_REMATCH[1]}
local minor=${BASH_REMATCH[2]}
local patch=${BASH_REMATCH[3]}
if [ ! -z $patch ]; then
patch=$(echo $patch | c... | true |
73894a92197acd1eab9572d1ba2880127f249b3f | Shell | chenliru/cweb.io | /shell/sys_script/crontabs/root/tuxLogClean.ksh | UTF-8 | 1,175 | 3.40625 | 3 | [
"MIT"
] | permissive | #!/bin/ksh
###############################################################################
#
# Name: tuxLogClean.ksh
#
# Reference: n/a
#
# Description: backup locus tuxedo instance ULOG file and achive
#
# Parameters: None
#
# Modification History:
#
# Date Name Description
# -------... | true |
692b4e44ba6aa0275f78887e7b085f390109c602 | Shell | plamolinux/qbilinux | /qbilinux/02_x11/xfplamoconfig/PackageBuild.xfplamoconfig | UTF-8 | 1,077 | 3.046875 | 3 | [] | no_license | #!/bin/sh
######################################################################
pkgbase=xfplamoconfig
vers=1.5
url=""
srcfiles="xfplamoconfig xfplamoconfig.sh"
apply_arch="noarch"
arch=noarch
build=1
src=$pkgbase
patchfiles=""
OPT_CONFIG=""
DOCS=""
patchfiles=''
compress=txz
SRC_URL="https://qbilinux.org/pub/source/"... | true |
ad2604a3f5254bbc319de824762c83acba562a32 | Shell | supreem61/journals | /duplexer.sh | UTF-8 | 358 | 3.296875 | 3 | [] | no_license | #!/bin/bash
echo 'Enter suffix including .'
read $string
count=1
for odd in `ls odd* |sort -V`
do
mv $odd page-"$count$string"
count=`expr $count + 2`
done
count=0
for even in `ls even*|sort -V`
do
count=`expr $count + 2`
done
for even in `ls even*|sort -V`
do
mv $even page-"$count$string"
count... | true |
95feb1d39fa08e5de9bf5193683ac39383c53b2c | Shell | Geek-Chic/EasyLinux | /Module/Centos/install/update.zz | UTF-8 | 879 | 2.859375 | 3 | [] | no_license | #!/bin/bash
# File Name:update.zz
# Description: update function
# @Author: evil
# Created Time:Mon 26 Jar 2015 21:05:06 PM CST
#更新pip
update_pip(){
pip install -U pip
}
#升级gcc到4.8
update_gcc(){
# cat << EOF| sudo tee -a /etc/yum.repos.d/DevToolset.repo
# [DevToolset-2]
# name=RedHat DevToolset v2 $releasever... | true |
b95869f1740a7d8b9888aedb8b2009c0fd433e8a | Shell | evolarjun/amrfindertest | /ubuntu_test/80_source_v2.t | UTF-8 | 756 | 2.953125 | 3 | [] | no_license | #!/bin/bash
echo 1..3 # for TAP
set -e
>&2 echo "Testing assembly of v2 branch (used for development)"
if [ -d "amr" ]
then
rm -rf amr
fi
curl -fsSL https://github.com/ncbi/amr/archive/v2.tar.gz | tar xz
cd amr-2
make
./amrfinder -u
./amrfinder --plus -p test_prot.fa -g test_prot.gff -O Escheric... | true |
da4b513ce6eccb9d52c47a4d519519f44559a27b | Shell | Chris24680/sustainable-rails-docker | /bin/vars | UTF-8 | 712 | 2.609375 | 3 | [] | no_license | # Set this to the port in the Docker container you want exposed
EXPOSE=3000
# Set this to the port on your localhost you want to use to access
# the EXPOSE port above
LOCAL_PORT=9999
# Docker/Docker Hub setup. This is here to allow pushing a built
# image to Docker Hub and to ensure proper namespace isolation
# of t... | true |
637f81807a88cd043de1efa6955fd039f9435784 | Shell | fnfly2005/public_work | /mtmm_code/05tmp/wl01.sh | UTF-8 | 2,334 | 2.6875 | 3 | [] | no_license | #!/bin/bash
clock=0
t1=${1:-`date -d "yesterday ${clock}" +"%Y-%m-%d %T"`}
t2=${2:-`date -d "${t1% *} -1 days ago ${clock}" +"%Y-%m-%d %T"`}
t3=`date -d "${t2% *}" +"%Y%m%d%H%M%S"`
path="/data/fannian/"
fut() {
echo `grep -iv "\-time" ${path}sql/${1}.sql`
}
w=`fut warehouse`
sso=`fut sale_sub_order`
file="wl01"
attac... | true |
12068fde812396be51dc285ab47d0173818d3dec | Shell | ring-lang/ring | /extensions/android/ringlibsdl/project/jni/libpng-1.6.2/tests/pngstest | UTF-8 | 335 | 3.640625 | 4 | [
"LicenseRef-scancode-free-unknown",
"MIT",
"Libpng",
"LicenseRef-scancode-unknown-license-reference",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/sh
#
# Usage:
#
# tests/pngstest pattern
#
# Runs pngstest on all the contrib/pngsuite/[^x]*${pattern}.png files
# NOTE: pattern is used to name the temporary files pngstest generates
#
pattern="$1"
shift
exec ./pngstest --strict --tmpfile "${pattern}" --log ${1+"$@"}\
"${srcdir}/contrib/pngsuite/"[a-wyz]*${... | true |
222c1de2f987e0058168f74ac14c03ac9bf74eee | Shell | kevfield/AdventOfCode2019 | /day1/day1p1.sh | UTF-8 | 270 | 3.140625 | 3 | [] | no_license | #!/bin/bash
#
# number divide by 3
# round it down
# subtract 2
#
####################################
for i in $(cat /tmp/fuelinput)
do
divided=$(($i/3))
subracted=$(($divided-2))
echo $subracted >> /tmp/newfuelinput
done
paste -sd+ /tmp/newfuelinput | bc | true |
d74a91b66eb8e23dd03dfa428dd6c277d781585b | Shell | kobehaha/Afs | /scripts/dataServer.sh | UTF-8 | 411 | 2.65625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
export LISTEN_ADDRESS=127.0.0.1:7070
export RABBITMQ_SERVER=amqp://test:test123@127.0.0.1:15672
export STORAGE_ROOT=/var/
export LOG_DIR=/var/logs/afs/
export LOG_LEVEL=DEBUG
if [ ! -d $LOG_DIR ];then
mkdir -p $LOG_DIR
touch $LOG_DIR/afs.log
fi
if [ -d $STORAGE_ROOT ];then
go run ..... | true |
b0716798dd2735dfc81253430b0fe40c1dbb1d88 | Shell | webon100/openshift-origin-weblogic-cartridge | /bin/install | UTF-8 | 4,980 | 3.265625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -e
echo ''
echo '######################################################################'
echo '# INSTALL #'
echo '######################################################################'
echo ''
source $OPENSHIFT_CARTRIDGE_SDK_BASH
case "$1" in
... | true |
2b16c3bb1cd41c8d4984470019e04b5a63d0e876 | Shell | sumatej/nuage-kubernetes | /demo-scripts/demo3.sh | UTF-8 | 5,390 | 3.15625 | 3 | [] | permissive | nclude the magic
########################
. demo-magic.sh
# hide the evidence
clear
get_pods()
{
pe " kubectl get pods"
}
get_pods_2()
{
y=`kubectl get pods $(kubectl get pods | grep -v NAME | awk '{ print $1}') -o 'jsonpath={.items[*].status.phase}'`
while [ "$y" != "Running Running Running" ]
do
sle... | true |
e663653cba1bff83e901856d41e1f929fc3d1080 | Shell | grisov/pi-radio | /start-radio | UTF-8 | 301 | 2.890625 | 3 | [] | no_license | #!/bin/bash
#startup script, no params needed
ROOTDIR=`dirname $0`
cd $ROOTDIR
mkdir logs >/dev/null
pid=${ROOTDIR}/pi-radio-mpd.pid
kill `cat $pid` 1>/dev/null 2>/dev/null
kill -9 `cat $pid` 1>/dev/null 2>/dev/null
$ROOTDIR/pi-radio-mpd.py 1>logs/pi-radio.out 2>logs/pi-radio.err &
echo $! > $pid
| true |
0594dc08419593c489ff4ec6b10f5ed084b694d0 | Shell | nobodyme/linux-automated-setup | /setup.sh | UTF-8 | 4,971 | 2.703125 | 3 | [] | no_license | install_googlechrome() {
wget -N https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb -P ~/
dpkg -i --force-depends ~/google-chrome-stable_current_amd64.deb
apt-get -f install -y
rm ~/google-chrome-stable_current_amd64.deb
}
install_git() {
apt install -y git
git config --g... | true |
6d197af76c497784ca41a2ce3c692be9a6b1f3d3 | Shell | sanguineSnail/ys17 | /set_ap.sh | UTF-8 | 943 | 3.21875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
clear
# ARG 1 sets Rpi to be WiFi access host
# ARG 0 return to original set
echo AAAA
if [ "$1" = 1 ]
then
echo "WiFi HotSpot is being created"
sudo cp /etc/network/interfaces.hostapd /etc/network/interfaces
sudo cp /etc/sysctl.conf.hostapd /etc/sysctl.conf
sudo cp /etc/dhcpcd.conf.... | true |
32e8682f834435f38f28e6bc4c5d8ef7414f6d1d | Shell | fanhongtao/utils | /shell/test/endswith_test.sh | UTF-8 | 565 | 2.90625 | 3 | [] | no_license | #!/bin/sh
# set -x
. ../string.sh
. ./test_utils.sh
# -------------------------------
test_endswith_true() {
printf "\"$1\" endswith \"$2\""
assertTrue $(endswith $1 $2)
}
test_endswith_false() {
printf "\"$1\" endswith \"$2\""
assertFalse $(endswith $1 $2)
}
test_endswith_false "abcdef" ""
test_en... | true |
654209fa4a3f04e07bf6190b89f5ffac5c3e7153 | Shell | InvokIT/livelife-containers | /transcoder/hls-transcode.sh | UTF-8 | 1,114 | 3.328125 | 3 | [] | no_license | #!/bin/bash
# CLI arguments:
# 1 Address to the origin RTMP server (rtmp://[x.x.x.x]/ingest)
# 2 The stream name (rtmp://x.x.x.x/ingest/[stream name])
# 3 The destination file prefix
# Uses the following environment variables:
# HLS_OUT Where to store HLS output files
# LOG_PATH where to log to
set -e
RTMPSERVER=$1
ST... | true |
2e587cf93378d1a083bb65a98cfe1fd521c6a11a | Shell | cyu0913/kaldi-recipe-extention | /aurora4/_s5multi/local/score_ubm_iv.TRAIN.sh | UTF-8 | 4,301 | 3.1875 | 3 | [] | no_license | #!/bin/bash
log_start(){
echo "#####################################################################"
echo "Spawning *** $1 *** on" `date` `hostname`
echo ---------------------------------------------------------------------
}
log_end(){
echo ----------------------------------------------------... | true |
4553f0c55f706929c1cc2e8cbd972d88bef33aba | Shell | redhat-developer/service-binding-operator | /hack/upgrade-sbo-env.sh | UTF-8 | 1,028 | 2.53125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -x
OUTPUT_DIR=${OUTPUT_DIR:-out}
mkdir -p $OUTPUT_DIR
export TEST_ACCEPTANCE_START_SBO=scenarios
export TEST_OPERATOR_INDEX_IMAGE=${OPERATOR_INDEX_IMAGE_REF:-quay.io/redhat-developer/servicebinding-operator:index}
export TEST_OPERATOR_CHANNEL=candidate
operator_index_yaml=$OUTPUT_DIR/operator-index.yaml
... | true |
60883c85661fed783e77b1b37b4d4d79bf2945be | Shell | dungltr/hanoi-phap | /start.sh | UTF-8 | 181 | 2.734375 | 3 | [] | no_license | #!/bin/bash
if [ $# -gt 0 ];then
exec "$@"
else
tmux new-session -d -x "23" -y "80" -s "skuska" "echo start;sleep 60;echo stop" && \
tmux set -g status off && tmux attach
fi
| true |
a5f45d0f8b354189b8a1c55e711296c1156da310 | Shell | kelleyrw/pac | /analysis/ewkino2012/scripts/merge_signal.sh | UTF-8 | 1,599 | 2.96875 | 3 | [] | no_license | #!/bin/bash
verbose=0
tag=v10
ana_type=ss
path=/nfs-7/userdata/${USER}/babies/ewkino2012/${ana_type}/$tag
# make the output dirs
mkdir -p logs
# do the merging
function post_process
{
mkdir -p $output_path
mkdir -p logs/${tag}
local at=$1
local sample=$2
local input=$3
local br=${4:-1.}
... | true |
ea9906e17b40e3fbfe5cdf169114951d9749f457 | Shell | nfitch/minecrab | /bin/minecrab-annihilate | UTF-8 | 853 | 3.90625 | 4 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env bash
# -*- mode: shell-script; fill-column: 80; -*-
#
# Copyright (c) 2013 Joyent Inc., All rights reserved.
#
source $(dirname $0)/common.sh
usage() { echo "Usage: $0 <server-name>" 1>&2; exit 1; }
if [ "$#" -ne 1 ]; then
usage
fi
SERVER_NAME=$1
echo "Checking to see if server is still running.... | true |
57b414b773b5707134d1c07740f3fa8c6dbd653e | Shell | abdessamadcdg/Docker-Cluster | /Dockerfiles/S1-deploy/tools/wait_for_SportsOne | UTF-8 | 1,273 | 3.359375 | 3 | [] | no_license | #!/bin/sh
export USER=${USER:=SYSTEM}
export PASSWORD=Toor1234
export HOST=${HOST:=sports-hana.mo.lmy.corp}
export PORT=${PORT:=30827}
export CHECK="#0"
export MAXTIME=${MAXTIME:=3600}
export SLEEPTIME=${SLEEPTIME:=10}
export IS_CLOUD=$(echo $HOST | grep 'hana.ondemand.com')
if [ -z "$IS_CLOUD" ]; then
export IS_CLO... | true |
85b45d692f9ba970cd9ad0209bf0418fd6c4bf8d | Shell | gogenesis/6824-final-proj | /src/test/run_perf_tests.sh | UTF-8 | 13,522 | 2.9375 | 3 | [] | no_license | #!/usr/bin/env bash
export JENKINS_FAIL=0
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
mkdir -p $SCRIPT_DIR/outfiles
if [ -z $JENKINS ]; then
rm $SCRIPT_DIR/outfiles/*
fi
touch $SCRIPT_DIR/outfiles/log
export DFS_DISABLE_ASSERTIONS="true"
export DFS_DEFAULT_DEBUG_LEVEL=0
iter() {
testname=... | true |
77f70c6aa435df2f7025e9c5b00ff3a6d29905d4 | Shell | travi/dotfiles | /osx/environment.sh | UTF-8 | 15,723 | 3.171875 | 3 | [] | no_license | #!/bin/bash
# OSX-only stuff. Abort if not OSX.
[[ "$OSTYPE" == darwin* ]] || return 1
heading 'Configuring OS X'
# Ask for the administrator password upfront
sudo -v
# Keep-alive: update existing `sudo` time stamp until `.osx` has finished
while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/... | true |
3446aac1cda24c5c1c2c176710b65eaf2d120e8a | Shell | nileshgr/utilities | /admin/ipfw.rules.sh | UTF-8 | 3,589 | 2.90625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
tcp_service_ports="22 80 443"
udp_service_ports=""
out_tcp_ports="22 25 53 80 443 465 587 993 9418"
out_udp_ports="53 123"
allow_ftp=false
# define nat IP address
nat_ip=
ipfw -f flush
ipfw -f table all flush
table=0
if [ -r /etc/ipfw.own_networks ]; then
for ip in $(cat /etc/ipfw.own_networks); do
i... | true |
325b2e25a901762841ddf5827960095a485edaca | Shell | Jiansen/Rejuvenation | /experiment/convert_date.sh | UTF-8 | 214 | 2.78125 | 3 | [] | no_license | # original unit 10 minutes
declare -i day_of_year
day_of_year=1+6*24*12*30
awk '!/#/ {$1= $1/(6 * 24 * 30);} 1' $1.dat > $1.month.dat
head -n $day_of_year $1.dat | awk '!/#/ {$1= $1/(6 * 24);} 1' > $1.day.dat
| true |
b9b2d861aca3bb0ee84348fe36e80bca4b22750a | Shell | ahurta92/cpp_starter_project | /BashScript/test.sh | UTF-8 | 1,215 | 4.0625 | 4 | [] | no_license | #!/bin/bash
# testing and control flow with if, [ and [[, and/or
NUM_REQUIRED_ARGS=2
if [[ $# -lt NUM_REQUIRED_ARGS ]]; then
echo "Not enough arguments with ./{$0} <name> <number>"
fi
## helpers
# && and
# || or
## in your terminal
echo "hi." || echo "This won't happen."
$(ls nonexistantfile) || echo "This ha... | true |
daa4dfac6bf412ee0baf9788ce4435ed6d4fb419 | Shell | miaoyuanxi/aswf-docker | /scripts/base/build_cppunit.sh | UTF-8 | 559 | 2.890625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# Copyright (c) Contributors to the aswf-docker Project. All rights reserved.
# SPDX-License-Identifier: Apache-2.0
set -ex
if [ ! -f $DOWNLOADS_DIR/cppunit-${CPPUNIT_VERSION}.tar.gz ]; then
curl --location http://dev-www.libreoffice.org/src/cppunit-${CPPUNIT_VERSION}.tar.gz -o $DOWNLOADS_DIR/... | true |
14ddb5b110a601dbfa8017588cda7c60a153ac8b | Shell | delphix/dx-workshops | /scripts/tests/provision_vdb.sh | UTF-8 | 9,411 | 3.265625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
echo "###Validate MASKED VDB###"
set -e
DEIP="virtualizationengine"
USER="delphix_admin"
PASS="Landshark-12"
function JOB_WAIT {
JOBID=${1}
until [[ "$(curl -s "http://${DEIP}/resources/json/delphix/job/${JOBID}" \
-b ~/cookies.txt -H "Content-Type: application/json" \
| jq -r .resu... | true |
aa26912039af5c88a20059cde4a67913a672cc6f | Shell | chechiachang/bash-scripts | /uptime.sh | UTF-8 | 1,968 | 3.390625 | 3 | [] | no_license | #!/bin/bash
#
# Library for uptime robot api
# https://uptimerobot.com/api
# UPTIME_API_KEY=<your-uptime-api-key>
uptime::curl(){
local http_method=$1; shift;
local uptime_method=$1; shift;
local body=$*
if [[ -z ${UPTIME_API_KEY} ]]; then
echo "UPTIME_API_KEY is required but not found."
... | true |
33adf777d0df62c798f03dfd562bccd16c9d7afd | Shell | elerch/vcsh_i3config | /.local/bin/cache | UTF-8 | 1,081 | 3.984375 | 4 | [] | no_license | #!/bin/sh
if [ "$#" -lt 2 ]; then
echo 'usage: cache [-q] <seconds> <command>'
return 1
fi
if [ "$1" = "-q" ]; then
shift
else
echo 'WARNING: this utility only caches stdout of successful commands' >&2
fi
uid=$(id -u)
cachedir="${XDG_RUNTIME_DIR:-/run/user}"
[ "$cachedir" = "/run/user" ] && cachedir="${cachedir... | true |
48380498342ab7d2c3b84ae86a1c4462392635ec | Shell | daniarherikurniawan/Cassandra-QoE | /CassandraCodes/cassandra_trace.sh | UTF-8 | 259 | 2.578125 | 3 | [] | no_license | #!/usr/bin/env bash
mkdir results_cass_scan
for ((t=20; t<=70; t+=5))
do
python3 cassandraclient.py $t
mv cass_read_latency.txt 'results_cass_scan/cass_read_latency_'$t.txt
done
echo 'Collection is OK'
zip -r results_cass_scan.zip results_cass_scan
| true |
3a5ac4e614c247e6d4f77d0120fd4793302f129c | Shell | julienbenjamin/administration-scripts | /debian-fresh-install-setup.sh | UTF-8 | 3,158 | 4.3125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Setup a fresh install of Debian - Must be run as root
if (( $# != 0 )); then
echo "Illegal number of parameters"
fi
# Trap SIGINT
trap ctrl_c INT
function ctrl_c() {
echo "Script interrupted."
}
echo "---- Fresh install setup for Debian ----"
if [ $(id -u) -eq 0 ]; then
# Select options f... | true |
fe1719f6c545f93e3d7216bc7d04f3cd5e80cc76 | Shell | WMP/wseifree | /livecd/livechraptsource.sh | UTF-8 | 566 | 2.96875 | 3 | [] | no_license | #!/bin/bash
export HOME=/root
export LC_ALL=C
# zmiana repozytoriow
echo "Kopiowanie sources.list"
cp /etc/apt/sources.list /etc/apt/sources.list_bak
#nowe repa
echo "Kopiowanie nowego sources.list"
cp /root/etc/apt/sources.list /etc/apt/sources.list
apt-get update
# dociagniece brakujacych kluczy
echo 'Prosze cze... | true |
086bb7d4183ac40b05d6f41eece372791482d2af | Shell | xtremespb/zoia | /teamcity/remove_container.sh | UTF-8 | 501 | 3.625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
CONTAINER=$1
echo ":: Container to remove $CONTAINER"
if [ "$(docker ps -qa -f name=^$CONTAINER$)" ]; then
echo ":: Found container - $CONTAINER"
if [ "$(docker ps -q -f name=^$CONTAINER$)" ]; then
echo ":: Stopping running container - $CONTAINER"
docker stop $CONTAINER;
else
echo... | true |
9f36dbc64c9d71ed59c9c1511b823d9039463ab2 | Shell | anthonygtellez/splunk_deployment_automation | /rhlinux/firewalld/splunk-core-service.sh | UTF-8 | 1,484 | 3.390625 | 3 | [] | no_license | #!/bin/bash
#
# ===========================================================
# Purpose: This script will create a custom syslog service for firewalld
# Parameters: None
# Example usage: $ bash configure_firewalld_syslog.sh
#
# Privileges: Must be run as root
# Author: Anthony Tellez
#
# Notes: You can change t... | true |
6aeaf73795b462a3142c5d6a916863d568fc0d0a | Shell | zatax/spirit | /test.sh | UTF-8 | 792 | 3.546875 | 4 | [] | no_license | #!/bin/bash
test2 () {
filename="serv.txt"
while read -r line
do
serv=$line
echo "$serv"
done < "$filename"
}
serveur () {
PS3='Choix du serveur: '
options=("freppau-lpegf01" "freppau-lpegf02" "freppau-lpegf011" "Quit")
select opt in "${options[@]}"
do
case $opt in
"freppau-lpeg... | true |
d0fe89cd1de3d5105ab9a2717f3d40775d71405c | Shell | maxlorenz/cros-auto-backlight | /backlightd | UTF-8 | 1,494 | 3.734375 | 4 | [
"WTFPL"
] | permissive | #!/bin/bash
# Max brightness value from /sys/class/backlight/*/brightness
MAX=937
# array to store light values for averaging
# TODO: this should be extended such that an arbitrarily-
# sized array can be generated
LIGHT_ARRAY=(100 100 100 100)
# polling rate in seconds (interval = rate * arraylen)
POLLING_RAT... | true |
48cc1ffd9409546a9c4dfea88e74d1081aed830e | Shell | ubaceslab/swenv | /build_scripts/build_anaconda.sh | UTF-8 | 1,788 | 3.8125 | 4 | [] | no_license | #!/bin/sh
set -e
echo "Building Anaconda for ${UBCESLAB_SYSTEMTYPE:?undefined}"
CURRENT_D... | true |
4934fbdfee5302823185c16e21b725f03fdb9624 | Shell | chris-ritsen/read_book | /read_book_wrapper.zsh | UTF-8 | 1,344 | 3.96875 | 4 | [] | no_license |
function session() {
local TMUX_SESSION_DIR="${XDG_CONFIG_HOME}"'/tmux/sessions/'
local args="${*}"
local name=''
if [[ -z $args ]]; then
name=$(fzf "${TMUX_SESSION_DIR}" | sed '/^$/d')
else
name="${1}"
fi
local filename="${TMUX_SESSION_DIR}""${name}"
if [[ ! -f "${filename}" ]]; then
e... | true |
afe6c5fb95135ddbacd8f4884a76207a98dc3c3f | Shell | freedragon/az-hpcapps | /apps/pamcrash/run_case.sh | UTF-8 | 3,424 | 3.71875 | 4 | [] | no_license | #!/bin/bash
pam_case=$1
threads=$2
mpi=$3
VERSION=2018
if [ -z "$mpi" ]; then
mpi="impi"
fi
if [ -z "$threads" ]; then
threads="1"
fi
start_time=$SECONDS
extension="${pam_case##*.}"
case_name="${pam_case%%.*}"
echo "downloading case ${pam_case}..."
wget -q "${STORAGE_ENDPOINT}/pamcrash-benchmarks/${pam_cas... | true |
184e249ff80b596a81be05bc9025654512634c2e | Shell | kedii/configs | /conf/bash/zsh/amer-widgets.zsh | UTF-8 | 2,270 | 3.03125 | 3 | [
"MIT"
] | permissive | # bindkey '^Y' yank-last-arg # No such func
zle -N yank-current yank_current
bindkey "^Y" yank-current
bindkey -a "^Y" yank-current
function yank_current() {
if ! [ "$BUFFER" ]; then
BUFFER="$(fc -ln -1)"
fi
printf "$BUFFER" | xsel --input --clipboard
}
zle -N prepend-sudo prepend_sudo
bindkey "^S"... | true |
24784e281285e781f2ad0f43744d90ff87ee021c | Shell | delkyd/alfheim_linux-PKGBUILDS | /dovecot2-antispam-git/PKGBUILD | UTF-8 | 860 | 2.640625 | 3 | [] | no_license | # Maintainer: Carsten Feuls <archlinux@carstenfeuls.de>
pkgname=dovecot2-antispam-git
pkgver=v2.0.11.g963c046
pkgrel=1
pkgdesc="Integrates DSPAM into dovecot IMAP server. Git Version for dovecot >= 2.1"
arch=( 'i686' 'x86_64' )
url="http://hg.dovecot.org/dovecot-antispam-plugin/"
license=('GPL')
depends=('dovecot>=2.2... | true |
da1211be5b8c7d7817dcb57f52a24f580b0961c2 | Shell | xwiz4rd/Shellscripts | /reading.sh | UTF-8 | 116 | 2.640625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
read -p "Digite seu nome: " nome
read -p "Digite sua idade: " idade
echo "$nome você tem $idade anos"
| true |
2a60c3f0d28911fc45dd569dbff18a0b034ffb8a | Shell | niXman/mingw-builds | /clean | UTF-8 | 5,464 | 3.5625 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
#
# The BSD 3-Clause License. http://www.opensource.org/licenses/BSD-3-Clause
#
# This file is part of MinGW-W64(mingw-builds: https://github.com/niXman/mingw-builds) project.
# Copyright (c) 2011-2023 by niXman (i dotty nixman doggy gmail dotty com)
# Copyright (c) 2012-2015 by Alexpux (alexpux doggy gmai... | true |
ef4e02a8abe7c89cc2f745521e49a595a13532ba | Shell | KatieMishra/VoiceClassification | /sphinxbase/autoconf-2.69/automake-1.14/t/location.sh | UTF-8 | 2,829 | 3.109375 | 3 | [
"GPL-2.0-only",
"GPL-3.0-only",
"GPL-1.0-or-later",
"FSFAP",
"GPL-3.0-or-later",
"Autoconf-exception-3.0",
"LicenseRef-scancode-other-copyleft",
"GPL-2.0-or-later",
"MIT",
"BSD-2-Clause"
] | permissive | #! /bin/sh
# Copyright (C) 2002-2013 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | true |
4a78cb2c41f890b755ec1160128263131b43c01c | Shell | vendi-advertising/a11y-report-admin | /run-phpunit.sh | UTF-8 | 4,500 | 3.671875 | 4 | [] | no_license | #!/bin/bash
##see: http://stackoverflow.com/questions/192249/how-do-i-parse-command-line-arguments-in-bash
# Use -gt 1 to consume two arguments per pass in the loop
# Use -gt 0 to consume one or more arguments per pass in the loop
DB_USER='unit_chris'
DB_PASS='unit_chris'
DB_NAME='unit_chris'
CREATE_DB=false
RUN_LIN... | true |
e646f7a9c3e8e91d740a30147ec7e96615efda1a | Shell | disc0nn3ct/lab_miem | /OS/lab2 Shell/test.sh | UTF-8 | 403 | 3.421875 | 3 | [] | no_license | #!/bin/sh
clear
bufer=0
chekByNULL()
{
echo ow
local spname=$1
echo $spname ------------
if [ ! -r $spname ] || [ -z $spname ]
then
echo Введите файл туут
read spname
while [ ! -r $spname ] || [ -z $spname ]
do
echo Введите файл апапапп $spname
read spname
done
fi
bufer=$spname
}
name1="1.txt4... | true |
0939227ba26abffceddd9aee928e633de0fc33af | Shell | KrestenKjaer/bash-provision | /test/type-file.bats | UTF-8 | 4,743 | 3.421875 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bats
. test/helpers.sh
file () { . $BORK_SOURCE_DIR/types/file.sh $*; }
setup () {
readsum=$(eval $(md5cmd $platform Readme.md))
}
# -- without arguments -------------------------------
@test "file status: returns MISSING when file is missing" {
respond_to "[ -f missing ]" "return 1"
run file s... | true |
2e00084fdac5d2233c45f7a16d48ad1be3fec80d | Shell | kaymmm/pulseconnectsecure-arch | /rpm/PulseClient.sh.new | UTF-8 | 23,730 | 2.828125 | 3 | [] | no_license | #!/bin/bash
HOMEDIR=$HOME
INSTALLDIR=/usr/local/pulse
PULSEDIR=$HOME/.pulse_secure/pulse
SVCNAME=pulsesvc
LOG=$PULSEDIR/PulseClient.log
args=""
ive_ip=""
NOARGS=$#
SCRARGS=$@
WEBKITGTK_1_SUPPORTED_VERSION=6
WEBKITGTK_3_SUPPORTED_VERSION=7
PACKAGE_TYPE_RPM=1
PACKAGE_TYPE_DEB=2
SCRNAME=`basename $0`
SUPPORTED_OSTYPES... | true |
2a0824c9a719d39b3f85eba177e2bfe41a773d34 | Shell | tonyblundell/setup-crunchbang | /setup-crunchbang.sh | UTF-8 | 1,100 | 2.890625 | 3 | [] | no_license | # Install apps via apt
sudo apt-get install git tmux vim zsh
# Install oh-my-zsh
curl -L https://github.com/robbyrussell/oh-my-zsh/raw/master/tools/install.sh | sh
# Change default shell to ZSH
chsh -s /usr/bin/zsh
# Install ZSH config
cd ~
git clone https://github.com/tonyblundell/.zsh.git
ln -s ~/.zsh/tonyblundell... | true |
5bbcb01ff335f10ebc96b1bbd981aa2c426486ba | Shell | gaecom/swoole-proxy | /gameproxy.sh | UTF-8 | 305 | 3.0625 | 3 | [] | no_license | #!/bin/bash
if [ $1 == "start" ]
then
echo "do start...\n"
php ProxyServer.php &
elif [ $1 == "stop" ]
then
echo "do stop...\n"
ps -ef | grep "gameproxy" | grep -v "grep" | awk '{print $2 }' | xargs kill -9
else
echo "Please make sure the positon variable is start or stop.\n"
fi
| true |
8c9d8b87530fe26a004b87a1650d03f2efaf4296 | Shell | 4n6kween/PlistParser | /PlistParser.sh | UTF-8 | 3,006 | 3 | 3 | [
"MIT"
] | permissive | #!/bin/bash
echo
echo 'Plist Parser'
echo 'Generating Database...'
mkdir Plists;
find "$@" -name '*.plist' 2>/dev/null | cpio -pdm Plists;
find ./Plists -type f -name "*.plist" -exec plutil -convert xml1 "{}" \;
grep -rs "real>[2-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]" -B 1 Plists > realcc.txt;
gsed -i '
s/,... | true |
74792d78c64b1b9fb8e24b5ab7ca74bced47b08f | Shell | DimaLife/Bash | /leapyear.sh | UTF-8 | 221 | 3.078125 | 3 | [] | no_license | #! /bin/bash
echo "Введите год"
read year
if [[ $year%4 -eq 0 ]] && [[ $year%100 -ne 0 ]] || [[ $year%400 -eq 0 ]]
then
echo "Это високосный год"
else
echo "Это обычный год"
fi
| true |
199397e242d197dda9d6ca89aa38f17a4575ab7c | Shell | GianGian/SDN-Slicing-in-ComNetsEmu | /examples/mininet_demystify/clean.sh | UTF-8 | 458 | 2.90625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [ "$EUID" -ne 0 ]; then
echo "*** Please run with sudo."
exit 1
fi
hosts=("h1" "h2" "h3")
hsifaces=("s1-h1" "s1-h2" "s1-h3")
echo "Cleanup all network namespaces, cgroups, veth pairs, qdiscs and OVS bridges."
for i in "${hsifaces[@]}"; do
ip link delete "$i"
done
rmdir /sys/fs/cgroup/cpu... | true |
1e393e739adb3830c9020b9e14f0b34dbc705b5d | Shell | sn0wvall/scripts | /cmusNotify | UTF-8 | 651 | 2.9375 | 3 | [] | no_license | #!/bin/sh
if ps -C cmus > /dev/null; then
artist=$(cmus-remote -Q |
grep --text '^tag artist' |
sed '/^tag artistsort/d' |
awk '{gsub("tag artist ", "");print}')
title=$(cmus-remote -Q |
grep --text '^tag title' |
sed -e 's/tag title //' |
awk '{gsub("tag title ", "");print}')
duration=$(c... | true |
8a2a2c264b82b515bdf14db6583427c932f2c07a | Shell | AndersonFCanel/Shell-Bats-CmdsSO | /SHELL/FOR.SH | UTF-8 | 411 | 3.296875 | 3 | [] | no_license | #!/bin/bash
echo “Testando o loop for”
for i in {10..0};
do
echo “$i”
done
#Exemplo de uso do loop for com o comando seq com intervalo.
echo “Testando o comando seq”
for i in $(seq 1 5 100);
do
echo “$i”
done
#Exemplo de uso do loop for com o comando seq sem intervalo.
echo “Testand... | true |
ba055efe9fb8f831053f998038de8827494eae8c | Shell | antonchen/zshrc | /zsh/plugins/sudo.zsh | UTF-8 | 419 | 3.015625 | 3 | [] | no_license | #!/bin/zsh
# File: sudo.zsh
# Author: Anton Chen
# Version: 0.1
# Email: contact@antonchen.com
# Last Modified: 2018-10-18 13:38:40
# 在命令前插入 sudo
sudo-command-line()
{
[[ -z $BUFFER ]] && zle up-history
if [[ $BUFFER == sudo\ * ]]; then
LBUFFER="${LBUFFER#sudo }"
else
LBUFFER="sudo $LBUFFER... | true |
21562f400d58bcb8c127b09000df0288f4934d74 | Shell | parkerd/dotfiles | /git-scripts/git-co | UTF-8 | 403 | 3.640625 | 4 | [] | no_license | #!/bin/bash
set -e
if [ -z "$1" ]; then
echo "usage: $0 <branch>"
else
git stash save --quiet --include-untracked "$(date)"
git checkout $@
branch=$(git rev-parse --abbrev-ref HEAD)
list=$(git stash list | grep "On ${branch}:")
if [ $(git stash list | grep -c "On ${branch}:") -eq 1 ]; then
git stash p... | true |
21970df497c544c2d045625cccbc3f8efacd0fbd | Shell | projectsku/projects1 | /projects-vbug.sh | UTF-8 | 1,377 | 2.796875 | 3 | [] | no_license | #!/bin/sh
# data vbug
# code warna
blue='\033[34;1m'
green='\033[32;1m'
purple='\033[35;1m'
cyan='\033[36;1m'
red='\033[31;1m'
white='\033[37;1m'
yellow='\033[33;1m'
# penghapus
clear
# tampilan
figlet virus vbug | lolcat
echo "===============================================" | lolcat
echo "[+] Project By Mr Viru... | true |
002490d83af364751976087066e4c332bff5acbe | Shell | chelauk/stem_cell_lab | /qsub_scripts/naive_overlap.job | UTF-8 | 2,249 | 3.328125 | 3 | [] | no_license | #!/bin/bash -l
# Batch script to run a serial job on Legion with the upgraded
# software stack under SGE.
# 1. Force bash as the executing shell.
#$ -S /bin/bash
# 2. Request 6 hours of wallclock time (format hours:minutes:seconds).
#$ -l h_rt=6:00:0
#$ -l mem=24G
# 4. Request 40 gigabyte of TMPDIR space (default is 10... | true |
5c116cd6969b3e34542483011a8689886837c017 | Shell | manusys64/learn-openstack-scripts | /scripts/vmware.sh | UTF-8 | 698 | 3.734375 | 4 | [
"MIT"
] | permissive | #!/bin/bash -eux
SSH_USERNAME=${SSH_USERNAME:-vagrant}
function install_open_vm_tools {
echo "==> Installing Open VM Tools"
# Install open-vm-tools so we can mount shared folders
apt-get install -y open-vm-tools
# Add /mnt/hgfs so the mount works automatically with Vagrant
mkdir /mnt/hgfs
}
if [[... | true |
e53f0730b88b1c3d33f05bae946a31253a2704c5 | Shell | nevesnunes/env | /common/code/snippets/sysadmin/ocr.sh | UTF-8 | 850 | 3.828125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Copyright Alexander Jerneck 2014
# Licensed under the MIT license (http://opensource.org/licenses/MIT)
# Script to batch ocr pdfs, by first converting them to tifs.
echo "usage: ocr PATTERN where PATTERN is a glob matching pdf files to be converted."
echo "example: ./ocr file-20*.pdf"
for x in "$@"; do... | true |
6fd3aec7e78221a3e29041031a7c80e3bf771acc | Shell | aom/test-dockerfile-with-timing | /docker-timing | UTF-8 | 221 | 3.421875 | 3 | [] | no_license | #!/usr/bin/env sh
set -e
file=/docker-timing.log
if [ -f $file ]; then
echo "$(($(date +%s)-$(head -n 1 $file))) ${@:-stage}" >> $file
echo "Seconds since last stage: $(tail -n 1 $file)"
else
date +%s > $file
fi
| true |
0c69186223135c6b4d5aae063258b0b1da59bfcb | Shell | eunjung31/sox_script | /change_sr.sh | UTF-8 | 303 | 3.515625 | 4 | [] | no_license | #!/bin/bash
#This script converts sampling rate of multiple files in a folder.
outputdir="../converted"
mkdir -p $outputdir
for file in **/*.wav
do
filename=$(basename $file)
outputfile="${outputdir}/${file}"
mkdir -p $(dirname $outputfile)
sox $file -r 8k $outputfile
done
| true |
65e6b527e52cb271b5840997b3adda1e3421b33c | Shell | znh1992/Harris_Kovacs_Londo | /General/free_energy_calculations_v2.sh | UTF-8 | 950 | 3.640625 | 4 | [] | no_license | #!/bin/bash
##############################################################
# Script takes a list of gene IDs and a fast file containing those gene IDs to calculate MFE.
# Secondary Structure information is thrown away (except the images).
# Sometimes the script only outputs the gene name. If so, `${val[0]}` needs a... | true |
ab72149638b72456d36e8832d46c580bad317f69 | Shell | learningdynamics/exam | /src/run_part1.sh | UTF-8 | 118 | 2.5625 | 3 | [] | no_license | #! /bin/bash
NUM=5
N=2
for i in $(seq 1 $NUM) ; do
python3 part1.py -n $N --save "part1-${N}-${i}.pickle"
done
| true |
d5212fa9471b8d10463ee4de7d3438146b1e8332 | Shell | fleger/fleger_pkgbuilds | /firefox-oxygen-kde/PKGBUILD | UTF-8 | 970 | 3.046875 | 3 | [] | no_license | # Maintainer: Florian Léger <florian6 dot leger at laposte dot net>
pkgname=firefox-oxygen-kde
pkgver=4.0_b1
pkgrel=1
pkgdesc="Complete add-on/theme bringing the Oxygen style for Firefox."
arch=(any)
depends=("firefox>=8.0")
url="http://oxygenkde.altervista.org/index.html"
license=('GPL')
source=("http://oxygenkde.alte... | true |
79c82df1e9a4a213b65d15a834d8768834367831 | Shell | aeikum/FAudio | /cpp/scripts/cross_compile_64 | UTF-8 | 398 | 3.1875 | 3 | [
"Zlib",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
# set this to the path where you installed the mingw32 version of SDL
SDL_CROSS_PATH=/usr
MINGW=x86_64-w64-mingw32
if [ ! -f $SDL_CROSS_PATH/$MINGW/bin/sdl2-config ]; then
echo "Please check your mingw32 SDL installation"
exit -1
fi
export PATH=$SDL_CROSS_PATH/$MINGW/bin:$PATH
export CC=${MINGW}-gcc
... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.